Div_Round
Arithmetic Operations

Sample by sample division of the samples of two signals with rounding. More...

## Functions

NppStatus | nppsDiv_Round_8u_Sfs (const Npp8u *pSrc1, const Npp8u *pSrc2, Npp8u *pDst, int nLength, NppRoundMode nRndMode, int nScaleFactor)
| 8-bit unsigned char signal divide signal, scale, then clamp to saturated value. More...
NppStatus | nppsDiv_Round_16u_Sfs (const Npp16u *pSrc1, const Npp16u *pSrc2, Npp16u *pDst, int nLength, NppRoundMode nRndMode, int nScaleFactor)
| 16-bit unsigned short signal divide signal, scale, round, then clamp to saturated value. More...
NppStatus | nppsDiv_Round_16s_Sfs (const Npp16s *pSrc1, const Npp16s *pSrc2, Npp16s *pDst, int nLength, NppRoundMode nRndMode, int nScaleFactor)
| 16-bit signed short signal divide signal, scale, round, then clamp to saturated value. More...
NppStatus | nppsDiv_Round_8u_ISfs (const Npp8u *pSrc, Npp8u *pSrcDst, int nLength, NppRoundMode nRndMode, int nScaleFactor)
| 8-bit unsigned char in place signal divide signal, with scaling, rounding then clamp to saturated value. More...
NppStatus | nppsDiv_Round_16u_ISfs (const Npp16u *pSrc, Npp16u *pSrcDst, int nLength, NppRoundMode nRndMode, int nScaleFactor)
| 16-bit unsigned short in place signal divide signal, with scaling, rounding then clamp to saturated value. More...
NppStatus | nppsDiv_Round_16s_ISfs (const Npp16s *pSrc, Npp16s *pSrcDst, int nLength, NppRoundMode nRndMode, int nScaleFactor)
| 16-bit signed short in place signal divide signal, with scaling, rounding then clamp to saturated value. More...

## Detailed Description

Sample by sample division of the samples of two signals with rounding.

## Function Documentation

NppStatus nppsDiv_Round_16s_ISfs | ( | const Npp16s * | pSrc,
|  | Npp16s * | pSrcDst,
|  | int | nLength,
|  | NppRoundMode | nRndMode,
|  | int | nScaleFactor
| ) |  |

16-bit signed short in place signal divide signal, with scaling, rounding then clamp to saturated value.

Parameters

  pSrc | Source Signal Pointer.
  pSrcDst | In-Place Signal Pointer. signal1 divisor elements to be divided into signal2 dividend elements
  nLength | Signal Length.
  nRndMode | various rounding modes.
  nScaleFactor | Integer Result Scaling.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsDiv_Round_16s_Sfs | ( | const Npp16s * | pSrc1,
|  | const Npp16s * | pSrc2,
|  | Npp16s * | pDst,
|  | int | nLength,
|  | NppRoundMode | nRndMode,
|  | int | nScaleFactor
| ) |  |

16-bit signed short signal divide signal, scale, round, then clamp to saturated value.

Parameters

  pSrc1 | Source Signal Pointer.
  pSrc2 | Source Signal Pointer, signal1 divisor elements to be divided into signal2 dividend elements.
  pDst | Destination Signal Pointer.
  nLength | Signal Length.
  nRndMode | various rounding modes.
  nScaleFactor | Integer Result Scaling.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsDiv_Round_16u_ISfs | ( | const Npp16u * | pSrc,
|  | Npp16u * | pSrcDst,
|  | int | nLength,
|  | NppRoundMode | nRndMode,
|  | int | nScaleFactor
| ) |  |

16-bit unsigned short in place signal divide signal, with scaling, rounding then clamp to saturated value.

Parameters

  pSrc | Source Signal Pointer.
  pSrcDst | In-Place Signal Pointer. signal1 divisor elements to be divided into signal2 dividend elements
  nLength | Signal Length.
  nRndMode | various rounding modes.
  nScaleFactor | Integer Result Scaling.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsDiv_Round_16u_Sfs | ( | const Npp16u * | pSrc1,
|  | const Npp16u * | pSrc2,
|  | Npp16u * | pDst,
|  | int | nLength,
|  | NppRoundMode | nRndMode,
|  | int | nScaleFactor
| ) |  |

16-bit unsigned short signal divide signal, scale, round, then clamp to saturated value.

Parameters

  pSrc1 | Source Signal Pointer.
  pSrc2 | Source Signal Pointer, signal1 divisor elements to be divided into signal2 dividend elements.
  pDst | Destination Signal Pointer.
  nLength | Signal Length.
  nRndMode | various rounding modes.
  nScaleFactor | Integer Result Scaling.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsDiv_Round_8u_ISfs | ( | const Npp8u * | pSrc,
|  | Npp8u * | pSrcDst,
|  | int | nLength,
|  | NppRoundMode | nRndMode,
|  | int | nScaleFactor
| ) |  |

8-bit unsigned char in place signal divide signal, with scaling, rounding then clamp to saturated value.

Parameters

  pSrc | Source Signal Pointer.
  pSrcDst | In-Place Signal Pointer. signal1 divisor elements to be divided into signal2 dividend elements
  nLength | Signal Length.
  nRndMode | various rounding modes.
  nScaleFactor | Integer Result Scaling.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsDiv_Round_8u_Sfs | ( | const Npp8u * | pSrc1,
|  | const Npp8u * | pSrc2,
|  | Npp8u * | pDst,
|  | int | nLength,
|  | NppRoundMode | nRndMode,
|  | int | nScaleFactor
| ) |  |

8-bit unsigned char signal divide signal, scale, then clamp to saturated value.

Parameters

  pSrc1 | Source Signal Pointer.
  pSrc2 | Source Signal Pointer, signal1 divisor elements to be divided into signal2 dividend elements.
  pDst | Destination Signal Pointer.
  nLength | Signal Length.
  nRndMode | various rounding modes.
  nScaleFactor | Integer Result Scaling.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

Copyright © 2009-2017 NVIDIA Corporation